読者詳細取得
curl --request GET \
--url https://api.utage-system.com/v1/accounts/{account_id}/scenarios/{scenario_id}/readers/{reader_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.utage-system.com/v1/accounts/{account_id}/scenarios/{scenario_id}/readers/{reader_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.utage-system.com/v1/accounts/{account_id}/scenarios/{scenario_id}/readers/{reader_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"common_reader_id": "<string>",
"scenario_id": "<string>",
"ip": "<string>",
"line_display_name": "<string>",
"line_picture_url": "<string>",
"line_friend_id": "<string>",
"base_date": "<string>",
"is_blocked": true,
"is_line_blocked": true,
"is_mail_error": true,
"is_sms_blocked": true,
"block_datetime": "<string>",
"partner": {
"project_name": "<string>",
"name": "<string>",
"reward": 123
},
"has_step_scheduled": true,
"has_reminder": true,
"message_tracking_id": "<string>",
"message_tracking_name": "<string>",
"funnel_tracking_id": "<string>",
"funnel_tracking_name": "<string>",
"referrer": "<string>",
"labels": [
{
"id": "<string>",
"name": "<string>",
"assigned_at": "<string>"
}
],
"scenario_fields": {},
"common_fields": {},
"memo": "<string>",
"created_at": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "認証に失敗しました"
}
}{
"error": {
"code": "not_found",
"message": "リソースが見つかりません"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "リクエスト上限を超えました。しばらく時間を空けて再試行してください"
}
}読者
読者詳細取得
プレビュー機能。仕様は今後変更される可能性があります。 読者の詳細情報を取得します。
読者項目はトップレベルではなく scenario_fields(シナリオ固有)/ common_fields(全シナリオ共通)の2グループで返ります(各項目キー=置き換え文字名)。トップレベルはシステム情報のみです。
読者詳細取得
GET
https://api.utage-system.com/v1/accounts/{account_id}/scenarios/{scenario_id}/readers/{reader_id}
この機能はプレビュー版です。仕様が変更される場合があります。
Authorizations
APIキーをBearerトークンとして指定
Path Parameters
アカウントID
シナリオID
読者ID
Response
読者詳細
読者の詳細情報。読者項目はトップレベルではなく scenario_fields(シナリオ固有)/ common_fields(全シナリオ共通)の2グループで返る。トップレベルはシステム情報のみ。
Show child attributes
Show child attributes
⌘I